
Enduro/X Core - Feature #581

Excessive logging in tpbridge during normal operation

08/12/2020 04:39 PM - Haralds

Status: Closed Start date: 08/12/2020

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Please increase logging level for  "Got service from node: %d - [%s] count: [%d], mode: [%c]".  from log_error to  log_info

http://www.silodev.com/lxr/source/ndrxd/cmd_bridge.c#0161

0158    /* So we get the full list we should iter over */

0159     for (i=0; i<refresh->count; i++)

0160     {

0161         NDRX_LOG(log_error, "Got service from node: %d - [%s] count: [%d], mode: [%c]",

0162                 refresh->call.caller_nodeid,

0163                 refresh->svcs[i].svc_nm,

0164                 refresh->svcs[i].count,

0165                 refresh->svcs[i].mode);

0166         ref_ent = &refresh->svcs[i];

0167

History

#1 - 08/12/2020 04:55 PM - Haralds

Additionally please change log header pid part format to %05d.

Otherwise there are spaces, which is no handy for logfile parsing.

diff --git a/libnstd/ndebug.c b/libnstd/ndebug.c

index bc90e5f5..d57b4684 100644

--- a/libnstd/ndebug.c

+++ b/libnstd/ndebug.c

@@ -1239,7 +1239,7 @@ expublic void __ndrx_debug__(ndrx_debug_t dbg_ptr, int lev, const char file,

     ndrx_get_dt_local(&ldate, &ltime, &lusec);

     snprintf(line_start, sizeof(line_start),

-        "%c:%s:%d:%08x:%5d:%08llx:%03ld:%08ld:%06ld%03d:%-12.12s:%-8.8s:%04ld:",

+        "%c:%s:%d:%08x:%05d:%08llx:%03ld:%08ld:%06ld%03d:%-12.12s:%-8.8s:%04ld:",

         dbg_ptr->code, dbg_ptr->module, lev, (unsigned int)dbg_ptr->hostnamecrc32,

             (int)dbg_ptr->pid, (unsigned long long)(ostid), thread_nr, ldate, ltime,

         (int)(lusec/1000), func_last, line_print, line);

#2 - 08/13/2020 10:32 AM - Madars
http://www.silodev.com/lxr/source/ndrxd/cmd_bridge.c#0161


- Tracker changed from Bug to Feature

#3 - 08/13/2020 10:33 AM - Madars

- Description updated

#4 - 08/13/2020 10:34 AM - Madars

Fixed in  https://github.com/endurox-dev/endurox/commit/763aab5081c1e914ac6c7ceaef5f07164220f93d

#5 - 08/14/2020 11:02 AM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

#6 - 08/14/2020 11:02 AM - Madars

- Status changed from Resolved to Closed
